# gcp_compute_instance_group_info – Gather info for GCP InstanceGroup

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather info for GCP InstanceGroup

- This module was called `gcp_compute_instance_group_facts` before Ansible 2.9. The usage has not changed.

Aliases: gcp_compute_instance_group_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- requests >= 2.18.4

- google-auth >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auth_kind
string / required

Choices:
- application
- machineaccount
- serviceaccount

The type of credential used.

env_type string |  | Specifies which Ansible environment you're running this module within. This should not be set unless you know what you're doing. This only alters the User Agent string for any API requests.
filters list |  | A list of filter value pairs. Available filters are listed here https://cloud.google.com/sdk/gcloud/reference/topic/filters. Each additional filter in the list will act be added as an AND condition (filter1 and filter2) .
project string |  | The Google Cloud Platform project to use.
scopes list |  | Array of scopes to be used.
service_account_contents jsonarg |  | The contents of a Service Account JSON file, either in a dictionary or as a JSON string that represents it.
service_account_email string |  | An optional service account email address if machineaccount is selected and the user does not wish to use the default email.
service_account_file path |  | The path of a Service Account JSON file if serviceaccount is selected as type.
zone string / required |  | A reference to the zone where the instance group resides.

## Notes

Note

- for authentication, you can set service_account_file using the c(gcp_service_account_file) env variable.

- for authentication, you can set service_account_contents using the c(GCP_SERVICE_ACCOUNT_CONTENTS) env variable.

- For authentication, you can set service_account_email using the `GCP_SERVICE_ACCOUNT_EMAIL` env variable.

- For authentication, you can set auth_kind using the `GCP_AUTH_KIND` env variable.

- For authentication, you can set scopes using the `GCP_SCOPES` env variable.

- Environment variables values will only be used if the playbook values are not set.

- The service_account_email and service_account_file options are mutually exclusive.

## Examples

    - name: get info on an instance group
      gcp_compute_instance_group_info:
        zone: us-central1-a
        filters:
        - name = test_object
        project: test_project
        auth_kind: serviceaccount
        service_account_file: "/tmp/auth.pem"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resources complex | always | List of resources
| creationTimestamp string | success | Creation timestamp in RFC3339 text format.
| description string | success | An optional description of this resource. Provide this property when you create the resource.
| id integer | success | A unique identifier for this instance group.
| instances list | success | The list of instances associated with this InstanceGroup. All instances must be created before being added to an InstanceGroup. All instances not in this list will be removed from the InstanceGroup and will not be deleted. Only the full identifier of the instance will be returned.
| name string | success | The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.
| namedPorts complex | success | Assigns a name to a port number. For example: {name: "http", port: 80}. This allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: "http", port: 80},{name: "http", port: 8080}] Named ports apply to all instances in this instance group.
|  | name string | success | The name for this named port. The name must be 1-63 characters long, and comply with RFC1035.
|  | port integer | success | The port number, which can be a value between 1 and 65535.
| network dictionary | success | The network to which all instances in the instance group belong.
| region string | success | The region where the instance group is located (for regional resources).
| subnetwork dictionary | success | The subnetwork to which all instances in the instance group belong.
| zone string | success | A reference to the zone where the instance group resides.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Google Inc. (@googlecloudplatform)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.